Hallo ich habe da mal eine Frage?
Ich muss dazu sagen das ich auf den gebiet ziemlich am Anfang stehe.
Ich möchte einen Text in eine RichTextBox Schreiben und den nach Wunsch Formatieren.
Das klappt auch soweit.
Nun möchte ich diesen Text in einen Inventor Bauteil auf eine Skizze als Geometrie einfügen.
Das einfügen geht auch, aber jetzt kommt mein Problem die Schriftart und Größe die ich eingestellt hatte wird nicht übernommen.
Private Sub TextFormatieren(sender As Object, e As EventArgs) Handles TextFormatieren.Click
Dim SA As New FontDialog
If SA.ShowDialog = Windows.Forms.DialogResult.OK Then
RichTextBox1.SelectionFont = SA.Font
End If
End Sub
Skizze2
oInventorApp = System.Runtime.InteropServices.Marshal.GetActiveObject("Inventor.Application")
Dim oCompDef As PartComponentDefinition
oCompDef = oInventorApp.ActiveDocument.ComponentDefinition
Dim oFace As Face
oFace = oCompDef.SurfaceBodies.Item(1).Faces.Item(6)
Dim Sketch2 As PlanarSketch
Sketch2 = oCompDef.Sketches.Add(oFace, False)
Sketch2.Edit()
'Text
XAxis = Sketch2.AddByProjectingEntity(partDef.WorkAxes.Item(1))
YAxis = Sketch2.AddByProjectingEntity(partDef.WorkAxes.Item(2))
Dim oTG As TransientGeometry
oTG = oInventorApp.TransientGeometry
Dim Text As String
Text = RichTextBox1.Text
Dim TextBox As TextBox
TextBox = Sketch2.TextBoxes.AddFitted(oTG.CreatePoint2d(0, 0), Text)
TextBox.VerticalJustification = VerticalTextAlignmentEnum.kAlignTextMiddle
TextBox.HorizontalJustification = HorizontalTextAlignmentEnum.kAlignTextCenter
'Ex Text
Dim Texthöhe As Double
Texthöhe = TextBox1.Text
Dim TextProfil As Profile
Texthöhe = TextBox1.Text / 10
opartcompdef = partDoc.ComponentDefinition
TextProfil = Sketch2.Profiles.AddForSolid(False)
Rechteckext = partDef.Features.ExtrudeFeatures.AddByDistanceExtent(TextProfil, Texthöhe,
PartFeatureExtentDirectionEnum.kPositiveExtentDirection, PartFeatureOperationEnum.kJoinOperation) 'Extrusions Richtung
Sketch2.ExitEdit()
Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP